Page MenuHomePhabricator

install kubectl on integration agents
Closed, ResolvedPublic

Description

We'll need kubectl to do and verify deployments of production images in the deployment pipeline

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 6:20 PM
dduvall claimed this task.Mar 26 2018, 4:35 PM
dduvall triaged this task as High priority.
dduvall moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
dduvall closed this task as Resolved.Apr 3 2018, 6:21 PM

I think @akosiaris told me once we should aim at not using kubectl but instead rely on the API. But maybe I got confused. Surely for prototyping that is good enough, but we should keep in mind what will be used long term when we reach production status.

I think @akosiaris told me once we should aim at not using kubectl

Yes. kubectl is a great and essential debugging tool, but it should not be used in day to day work. To paraphrease Kelsey Hightower as good as I can remember, kubectl is the equivalent of ssh. When you end up using ssh to get stuff done, consider it a bug, same goes for kubectl.

but instead rely on the API.

Or wrap around some other tool that talks to the API. helm is the status quo currently. And its even supports plugins so we can add functionality to it. And it supports both the do deployments and verify deployments parts of this task.

I am not against having it installed on the integration hosts, on the contrary, but keep the above in mind and act accordingly.